/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package uff.labies.bridgecodes;

import uff.labies.bridgecodes.client.Client;
import uff.labies.bridgecodes.model.BrazilianFighter;
import uff.labies.bridgecodes.model.FighterImpl;
import uff.labies.bridgecodes.model.JaponeseFighter;
import uff.labies.bridgecodes.model.MartialArt;
import uff.labies.bridgecodes.model.MartialArtJiuJitsu;
import uff.labies.bridgecodes.model.MartialArtJudo;
import uff.labies.bridgecodes.model.MartialArtKarate;

/**
 *
 * @author eduardo
 */
public class Main {
   

    public FighterImpl getFighter(String nac, MartialArt ma) throws Exception{
        FighterImpl f = new BrazilianFighter();
        switch(nac){
            case "Brazil":    f = new BrazilianFighter(); break;
            case "Japon":     f = new JaponeseFighter();break;
            default: throw new Exception("Nacionalidade '"+nac+"' desconhecida");
        }
        return f;
    }        
    public MartialArt getMartialArt(String tp) throws Exception{
        switch(tp){
            case "Karatê":    return new MartialArtKarate(); 
            case "Judô":      return new MartialArtJudo();
            case "Jiu-Jitsu": return new MartialArtJiuJitsu();
            default: throw new Exception("tipo de Arte Marcial '"+tp+"' desconhecida");
        }  
    }
    public static void main(String[] args) {
        Main m = new Main();
        Client c = new Client();
        try {
            FighterImpl f = m.getFighter("Brazil",m.getMartialArt("Karatê"));
            c.setFighter(f);
            c.doAttack();            
        }catch(Exception ex){
            System.out.println(ex.getMessage());
        }
        
    }
}
